<?php

Yii::setPathOfAlias('bootstrap', dirname(__FILE__).'/../extensions/bootstrap');

ini_set('display_errors', 0);
error_reporting(E_ALL & ~E_NOTICE);
ini_set('display_startup_errors', 0);

if (is_file(dirname(__FILE__).'/main.local.php'))
	$local = @require(dirname(__FILE__).'/main.local.php');

if (defined('COMPANY_ALIAS') && is_file(dirname(__FILE__).'/main.local_' . COMPANY_ALIAS . '.php'))
	$local = @require(dirname(__FILE__).'/main.local_' . COMPANY_ALIAS . '.php');

if (defined('RE_DESK_INSTALLED'))
	$main_local = $local;
else
	return require(dirname(__FILE__).'/install.php');

if (!function_exists('_t')) {
	function _t($message,$params=array(),$source=null,$language=null, $category = 'app') {
		return Yii::t($category, $message, $params, $source, $language);
	}
}

$main = array(
	'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'name'=>'Helpdesk',
	'defaultController' => 'ticket/',

	// preloading 'log' component
	'preload'=>array('log'),

	// autoloading model and component classes
	'import'=>array(
		'application.models.*',
		'application.components.*',
		'application.modules.user.*',
		'application.modules.user.models.*',
		'application.modules.user.components.*',
		'application.modules.rights.*',
		'application.modules.rights.models.*',
		'application.modules.rights.components.*',
		'application.modules.rights.components.dataproviders.*',
		'ext.mail.YiiMailMessage',
		'application.helpers.*',
	),

	'modules'=>array(
		// uncomment the following to enable the Gii tool
		/*'gii'=>array(
			'class'=>'system.gii.GiiModule',
			'password'=>'admin',
			'generatorPaths'=>array(
				'bootstrap.gii',
			),
		 	// If removed, Gii defaults to localhost only. Edit carefully to taste.
			//'ipFilters'=>array('127.0.0.1','::1'),
		),*/
		'user' => array(
			'tableUsers' => 'tbl_users',
			'tableProfiles' => 'tbl_profiles',
			'tableProfileFields' => 'tbl_profiles_fields',
		),
		'rights',
	),

	// application components
	'components'=>array(
		// uncomment the following to enable URLs in path-format

		'urlManager'=>array(
			'urlFormat'=>'path',
			'rules'=>array(
				//'<controller:\w+>/<id:\d+>'=>'<controller>/view',
				'<controller:\w+>/<action:\w+>/<id:\d+>'=>'<controller>/<action>',
				'<controller:\w+>/<action:\w+>'=>'<controller>/<action>',
			),
            'showScriptName' => false,
		),

		'db'=>array(
			'connectionString' => 'mysql:host=your_host;dbname=your_database',
			'emulatePrepare' => true,
			'username' => 'root',
			'password' => '',
			'charset' => 'utf8',
			'enableProfiling' => true,
			'schemaCachingDuration'=>3600,
		),

		'errorHandler'=>array(
			// use 'site/error' action to display errors
            'errorAction'=>'site/error',
        ),
		'log'=>array(
			'class'=>'CLogRouter',
			'enabled' => YII_DEBUG,
			'routes'=>array(
				array(
					'class'=>'CFileLogRoute',
					'levels'=>'error, warning',
				),
				array(
					'class'=>'application.extensions.yii-debug-toolbar.YiiDebugToolbarRoute',
					'ipFilters'=>array('127.0.0.1'),
				),
			),
		),
		'user'=>array(
			'class' => 'RWebUser',
			'allowAutoLogin'=>true,
		),
		'authManager'=>array(
			'class'=>'AppDbAuthManager',
			'defaultRoles' => array('Guest')
		),
 		'mail' => array(
 			'class' => 'ext.mail.YiiMail',
 			'viewPath' => 'application.views.email',
 			'logging' => false,
 			'dryRun' => false,
			'transportType' => 'php',
 		),
		'bootstrap'=>array(
			'class' => 'HDBootstrap',
		),
		'image'=>array(
			'class'=>'application.extensions.image.CImageComponent',
			'driver'=>'GD',
		),
		'cache'=>array(
			'class'=>'system.caching.CFileCache',
		),
		'twitter' => array(
			'class' => 'TwitterApi',
		),
	),

	'params'=>array(
		'adminEmail'=>'no-reply@re-desk.com',
		'per_page' => array (
			20, 50, 100
		),
		'version' => '1.0',
		'tooltip_delay' => 500,
		'skip_notification_delay' => 10,
	),
	'theme'=>'bootstrap',
	'language' => 'en',
);

if (!empty($main_local))
	$main = CMap::mergeArray($main, $main_local);

return $main;