<?php
/***************************************************************************
 *                                                                          *
 *				   (c) 2013 Re:Desk Development Team    				    *
 *                                                                          *
 * This  is  commercial  software,  only  users  who have purchased a valid *
 * license  and  accept  to the terms of the  License Agreement can install *
 * and use this program.                                                    *
 *                                                                          *
 ****************************************************************************
 * PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
 * "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
 ****************************************************************************/

/**
 * This is the model class for table "tbl_ticket".
 *
 * The followings are the available columns in table 'tbl_ticket':
 * @property integer $id
 * @property string $type
 * @property string $value
 *
 */

class SpamFilters extends CActiveRecord
{
	const TYPE_EMAIL = 'email';
	const TYPE_REGEXP_EMAIL = 'regexp_email';
	const TYPE_REGEXP_SUBJECT = 'regexp_subject';
	const TYPE_REGEXP_BODY = 'regexp_body';

	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return SpamFilters the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'tbl_spam_filters';
	}

	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		$rules = array (
			array('type, value', 'required'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id, type, value', 'safe', 'on'=>'search'),
		);

		return $rules;
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'type' => 'Type',
			'value' => 'Value'
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);
		$criteria->compare('type',$this->type,true);
		$criteria->compare('value',$this->value,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function getTypes()
	{
		return array (
			self::TYPE_EMAIL          => _t('spam email settings'),
			self::TYPE_REGEXP_EMAIL   => _t('spam regex email'),
			self::TYPE_REGEXP_SUBJECT => _t('spam regex subject'),
			self::TYPE_REGEXP_BODY    => _t('spam regex body'),
		);
	}
}