<?php
/***************************************************************************
 *                                                                          *
 *				   (c) 2013 Re:Desk Development Team    				    *
 *                                                                          *
 * This  is  commercial  software,  only  users  who have purchased a valid *
 * license  and  accept  to the terms of the  License Agreement can install *
 * and use this program.                                                    *
 *                                                                          *
 ****************************************************************************
 * PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
 * "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
 ****************************************************************************/

class MailRetriever
{

	/**
	 * @var EIMap
	 */
	protected $transport = null;
    protected $options = array();
    public $status = false;

    public function __construct($options)
    {
        $this->options = $options;

        $this->transport = new EIMap('{' . $options['host'] . ':' . $options['port']  . '/imap/ssl}INBOX', $options['username'], $options['password']);
        $this->status = $this->transport->connect();
    }

    public function listMessages()
    {
        return $this->transport->searchmails(EIMap::SEARCH_UNSEEN . ' SINCE "' . date ("d M Y") . '"');
    }

	/**
	 * @param $number
	 * @return EIMapMessage
	 */
	public function fetchMessage($number)
    {
        return $this->transport->getMail($number);
    }

	public function getAttachments($number)
	{
		return $this->transport->getAttachments($number);
	}

    public function deleteMessage($number)
    {
        $this->transport->deleteMail($number);
    }
}

?>
