<?
/***************************************************************************
 *                                                                          *
 *				   (c) 2013 Re:Desk Development Team    				    *
 *                                                                          *
 * This  is  commercial  software,  only  users  who have purchased a valid *
 * license  and  accept  to the terms of the  License Agreement can install *
 * and use this program.                                                    *
 *                                                                          *
 ****************************************************************************
 * PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
 * "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
 ****************************************************************************/

/**
 * @var $data Ticket
 * @var $this TicketController
 * @var AppDbAuthManager $manager
 */

$user_id = Yii::app()->getModule('user')->user() ? Yii::app()->getModule('user')->user()->id : 0;
$manager = Yii::app()->getAuthManager();
$not_viewed = $data->getNotViewedIds();
$data->setViews();

if ($user_id)
	$data->setView($user_id);

$assigned_user = false;
if ($data->assigned_id)
	$assigned_user = User::model()->findByPk($data->assigned_id);

$user_extra_html = $this->user->is_worker ? '<div class="dropdown hd-user">' . $this->renderPartial(
	'_user_input',
	array ('model' => $data,),
	true
) . '</div>' : ($assigned_user ? CHtml::encode($assigned_user->profile->full_name) : _t('none'));

$status_extra_html = $this->user->is_worker ? '<div class="dropdown hd-status-' . $data->id . '" id="status_input">' . $this->renderPartial(
	'_status_input',
	array ('data' => $data,),
	true
) . '</div>' : ($data->is_open ? _t('open') : _t('closed'));
?>

<div id="t_details">
<?php

$view_params = array(
	'data' => $data,
	'attributes'=>array(
		array (
			'label' => _t('author'),
			'value' => $this->user && $this->user->is_worker && !$manager->hasCredential($this->user->id, 'Ticket.ViewCustomerData') ? $data->author_name : $data->getAuthorName(),
			'type' => $data->isFacebook() || $data->folder_id == TicketFolders::TWITTER ? 'raw' : 'text',
		),
	),
);

if ($data->permalink)
{
	$view_params['attributes'][] = array (
		'label' => _t('source'),
		'name'  => 'permalink',
		'type'  => 'raw',
        'value' => "<a href='$data->permalink' target='_blank'>$data->permalink</a>",
	);
}

$view_params['attributes'][] = array (
	'name' => 'tracking_id'
);

$view_params['attributes'][] = array (
	'name'  => 'assigned_id',
	'value' => "<div class='hd-assigned'>$user_extra_html</div>",
	'type'  => 'raw'
);

$view_params['attributes'][] = array (
	'name'  => 'category_id',
	'value' => $this->getCategoryHtml($data),
	'type'  => 'raw'
);

$view_params['attributes'][] = array (
	'name'  => 'status_id',
	'value' => $status_extra_html,
	'type'  => 'raw'
);

if ($this->user && $this->user->is_worker && $data->user_id)
{
	$ticket_user = User::model()->findByPk($data->user_id);

	if (!empty($ticket_user) && $ticket_user->is_worker)
	{
		$view_params['attributes'][1] = array (
			'label' => _t('recipient'),
			'value' => $data->author_name . ($this->user && $this->user->is_worker && $manager->hasCredential($this->user->id, 'Ticket.ViewCustomerData') ? " ($data->author_email)" : ''),
		);
	}
}

$this->widget('bootstrap.widgets.TbDetailView', $view_params);
// attachments block
/** @var MessageAttachment[] $attachments_block */
$client_attachments = $staff_attachments = array ();

foreach ($data->messages as $ticket_message)
{
	foreach ($ticket_message->attachments as $attach)
	{
		if (!$ticket_message->is_worker)
			$client_attachments[] = $attach;
		else
			$staff_attachments[] = $attach;
	}

}

foreach (array($client_attachments, $staff_attachments) as $section => $attachments_block)
{
	// attachments section
	if (!empty($attachments_block))
	{
	?>
		<div class="attachments-box">
			<strong><?=!$section ? _t('client attachments') : _t('staff attachments')?>:</strong>
			<ul class="attachments unstyled">
		<?
		foreach ($attachments_block as $attach)
		{
		?>
			<li><i class="icon-list-alt"></i>&nbsp;
			<a target="_blank" href="<?=Yii::app()->createUrl('ticketMessage/download', array('id' => $attach->id, 'access_key' => $data->access_key))?>">
				<?=$attach->file_name?> (<?=$attach->getSize()?>)
			</a>
			<? if ($attach->isImage()) { ?>
				<a href="<?=$this->createUrl('ticketMessage/preview', array ('id' => $attach->id, 'access_key' => $data->access_key))?>" target="_blank">
					<?=_t('view')?>
				</a>
			<? }?>
			</li>
		<?
		}
		?>
	</ul></div>
	<?
	}
}
?>
</div>

<?
if (empty($not_viewed))
	$not_viewed = array ();

if (!empty($data->messages))
{
	echo "<div class=\"t-messages\" id='ticket_messages'>";
	foreach ($data->messages as $ticket_message) {
	?>
		<div id="message_<?=$ticket_message->id?>" class="message-wrp <? if (!in_array($ticket_message->id, $not_viewed) && !$ticket_message->isLastUserMessage()) echo " msg-collapsed"?> <? if (!empty($ticket_message->moved_to)) echo " msg-moved"; ?> <?=$ticket_message->is_worker ? 'staff-msg' : ''?>">
			<div class="msg-header">
			<!-- button -->
			<div class="btn-group float-right <? if (!$data->is_open) echo "hidden"; ?> hd-message-actions">
					<a class="btn dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
				  	<ul class="dropdown-menu pull-right">
						<li><a class="reply-with-quote pointer" data-message-id="<?=$ticket_message->id?>" data-from="message_body_<?=$ticket_message->id?>" data-folder="<?=(in_array($data->folder_id, [TicketFolders::FACEBOOK, TicketFolders::TWITTER]) ? 'social' : 'email')?>"><?=in_array($data->folder_id, [TicketFolders::FACEBOOK, TicketFolders::TWITTER]) ? _t('reply') : _t('reply with quote')?></a></li>
						<li>
<?			if ($this->user && $this->user->is_worker) echo CHtml::link(
				_t('move message to new ticket'),
				Yii::app()->createUrl('ticket/create/', array('id' => $ticket_message->id)),
				array('confirm' => _t('are you sure'))
			);
?>
						</li>
						<?
						if ($manager->hasCredential($this->user->id, 'Ticket.Delete')) {
							echo "<li>" . CHtml::link(
								_t('delete'),
								Yii::app()->createUrl('ticket/deleteMessage/', array('id' => $ticket_message->id)),
								array('confirm' => _t('are you sure'))
							) . "</li>";
						}
						?>
		  			</ul>
			</div>
			<!-- /button -->

		  <div class="clickable">
			<div class="auth-wrp float-left"><img class="auth-icon float-left" src="<?=Yii::app()->request->baseUrl?>/images/spacer.gif" alt=""/><strong class="auth" title="<?=_t('message author')?>"><?=CHtml::encode($ticket_message->author_name)?></strong></div>
			<div class="m-tools float-right">
				<?=$ticket_message->getNormalDate()?>
				<span id="msg_id" title="Message ID">#<?=$ticket_message->id?></span>
			</div>
			<div class="short-info">
				<? if ($ticket_message->moved_to)
					echo _t('moved message');
				else
					echo $ticket_message->show();
				?>
			</div>
			<div class="clear-left"></div>
		  </div><!--/clickable-->
		 </div>
			<div class="msg-body">
				<div class="message-block" id="message_body_<?=$ticket_message->id?>"><?=$ticket_message->show(false)?></div>
				<?
				if ($ticket_message->moved_to)
				{
					$moved_message = TicketMessage::model()->findByPk($ticket_message->moved_to);
					echo "<p class=\"msg-info\"><i class=\"icon-info-sign\"></i> <i><strong>" . _t('message was moved') .
						CHtml::link($moved_message->ticket->tracking_id, $this->createUrl('ticket/view', array('id' => $moved_message->ticket->id))) .
						".</strong></i></p>";
				}
				?>
        		<? if (!empty($ticket_message->attachments)) {
					echo "<ul class=\"attachments unstyled\">";
					foreach ($ticket_message->attachments as $attachment) {
					?>  <li>
						<? if ($attachment->isImage()) { ?>
							<a href="<?=$this->createUrl('ticketMessage/preview', array ('id' => $attachment->id, 'access_key' => $data->access_key))?>" data-message="<?=$attachment->message_id?>" target="_blank"><img class="at-img" src="<?=$this->createUrl('ticketMessage/preview', array ('id' => $attachment->id, 'width' => 150, 'access_key' => $data->access_key))?>" alt=""></a>
							<br />
						<? } ?>
						<i class="icon-list-alt"></i>&nbsp;
						<a target="_blank" href="<?=Yii::app()->createUrl('ticketMessage/download', array('id' => $attachment->id, 'access_key' => $data->access_key))?>">
							<?=$attachment->file_name?> (<?=$attachment->getSize()?>)</a>
						<? if ($attachment->isImage()) { ?>
							<a href="<?=$this->createUrl('ticketMessage/preview', array ('id' => $attachment->id, 'access_key' => $data->access_key))?>" target="_blank"><?=_t('view')?></a>
						<? }?>
						</li>
					<?
					}
				echo "</ul>";
				}
				?>
            </div><!-- /msg-body -->
		</div><!-- /message-wrp -->
<?	}
	echo "</div>";
} ?>

<? if (!$_REQUEST['from_staff']) {?>
<div id="reply_section">
	<?=$this->renderPartial('_reply_block', array ('data' => $data, 'message' => $message))?>
</div>
<? } ?>